# Generated from oxen_media-0.4.14.gem by gem2rpm -*- rpm-spec -*-
%global gem_name oxen_media

Name: rubygem-%{gem_name}
Version: 0.4.14
Release: 1%{?dist}
Summary: OxenMedia handles your media - uploads, converts, right-sizes, whatever you need
License: MIT
URL: http://github.com/wdiechmann/oxen_media
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.1.2
# BuildRequires: rubygem(minitest-reporters)
# BuildRequires: rubygem(mini_backtrace)
# BuildRequires: rubygem(guard-minitest)
# BuildRequires: rubygem(combustion) >= 0.5.3
# BuildRequires: rubygem(combustion) < 0.6
# BuildRequires: rubygem(sqlite3)
# BuildRequires: rubygem(factory_girl_rails)
# BuildRequires: rubygem(database_cleaner)
# BuildRequires: rubygem(capybara)
# BuildRequires: rubygem(guard)
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(pry-remote)
# BuildRequires: rubygem(pry-nav)
BuildArch: noarch

%description
OxenMedia is a Gem in the Oxen* Family of Gem's .


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.bowerrc
%exclude %{gem_instdir}/.envrc
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.ruby-version
%{gem_instdir}/Guardfile
%license %{gem_instdir}/MIT-LICENSE
%{gem_instdir}/app
%{gem_instdir}/config
%{gem_instdir}/db
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/oxen_media.gemspec
%{gem_instdir}/test

%changelog
* Tue Sep 14 2021 mockbuilder - 0.4.14-1
- Initial package
